Foxit PDF SDK

Public Member Functions | List of all members
com.foxit.sdk.SOAPResponseInfo Class Reference

## Public Member Functions
| SOAPResponseInfo ()
| Constructor.
| SOAPResponseInfo (SOAPResponseInfo soap_response)
| Constructor, with another SOAP response object. More...
| SOAPResponseInfo (String response_header, String response_body, String network_error, int status_code)
| Constructor, with parameters. More...
synchronized void | delete ()
| Clean up related C++ resources immediately. More...
String | getNetwork_error ()
| Get network error information of the SOAP response. More...
String | getResponse_body ()
| Get body of the SOAP response. More...
String | getResponse_header ()
| Get header of the SOAP response. More...
int | getStatus_code ()
| Get status code of the response. More...
void | set (String response_header, String response_body, String network_error, int status_code)
| Set values. More...
void | setNetwork_error (String value)
| Set network error information of the SOAP response. More...
void | setResponse_body (String value)
| Set body of the SOAP response. More...
void | setResponse_header (String value)
| Set header of the SOAP response. More...
void | setStatus_code (int value)
| Set status code of the response. More...

## Detailed Description

This class represents SOAP response.

## Constructor & Destructor Documentation

## ◆ SOAPResponseInfo() [1/2]

com.foxit.sdk.SOAPResponseInfo.SOAPResponseInfo | ( | String | response_header,
|  | String | response_body,
|  | String | network_error,
|  | int | status_code
| ) |  |

Constructor, with parameters.

Parameters

  [in] | response_header | Header of the SOAP response.
  [in] | response_body | Body of the SOAP response.
  [in] | network_error | Network error information of the SOAP response.
  [in] | status_code | Status code of the response.

## ◆ SOAPResponseInfo() [2/2]

com.foxit.sdk.SOAPResponseInfo.SOAPResponseInfo | ( | SOAPResponseInfo | soap_response | ) |

Constructor, with another SOAP response object.

Parameters

  [in] | soap_response | Another SOAP response object.

## Member Function Documentation

## ◆ delete()

synchronized void com.foxit.sdk.SOAPResponseInfo.delete | ( |  | ) |

Clean up related C++ resources immediately.

Returns
  None.

Note
  Once this function is called, current object cannot be used anymore.

## ◆ getNetwork_error()

com.foxit.sdk.SOAPResponseInfo.getNetwork_error | ( |  | ) |

Get network error information of the SOAP response.

Returns
  Network error information of the SOAP response.

## ◆ getResponse_body()

com.foxit.sdk.SOAPResponseInfo.getResponse_body | ( |  | ) |

Get body of the SOAP response.

Returns
  Body of the SOAP response.

## ◆ getResponse_header()

com.foxit.sdk.SOAPResponseInfo.getResponse_header | ( |  | ) |

Get header of the SOAP response.

Returns
  Header of the SOAP response.

## ◆ getStatus_code()

com.foxit.sdk.SOAPResponseInfo.getStatus_code | ( |  | ) |

Get status code of the response.

Returns
  Status code of the response.

## ◆ set()

void com.foxit.sdk.SOAPResponseInfo.set | ( | String | response_header,
|  | String | response_body,
|  | String | network_error,
|  | int | status_code
| ) |  |

Set values.

Parameters

  [in] | response_header | Header of the SOAP response.
  [in] | response_body | Body of the SOAP response.
  [in] | network_error | Network error information of the SOAP response.
  [in] | status_code | Status code of the response.

Returns
  None.

## ◆ setNetwork_error()

com.foxit.sdk.SOAPResponseInfo.setNetwork_error | ( | String | value | ) |

Set network error information of the SOAP response.

Parameters

  [in] | value | Network error information of the SOAP response.

Returns
  None.

## ◆ setResponse_body()

com.foxit.sdk.SOAPResponseInfo.setResponse_body | ( | String | value | ) |

Set body of the SOAP response.

Parameters

  [in] | value | Body of the SOAP response.

Returns
  None.

## ◆ setResponse_header()

com.foxit.sdk.SOAPResponseInfo.setResponse_header | ( | String | value | ) |

Set header of the SOAP response.

Parameters

  [in] | value | Header of the SOAP response.

Returns
  None.

## ◆ setStatus_code()

com.foxit.sdk.SOAPResponseInfo.setStatus_code | ( | int | value | ) |

Set status code of the response.

Parameters

  [in] | value | Status code of the response.

Returns
  None.